Package com.saxonica.config

## Class ICULibrary

- java.lang.Object
- - com.saxonica.config.ICULibrary

-     public class ICULibrary
      extends java.lang.Object

  Class to report whether ICU features are loaded. This will be used by the PE Platform to check ICU presence

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ICULibrary()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getLanguageTag​(java.util.Locale locale)` |
    `static boolean` | `hasNumberer()` | Is an ICU numberer loaded?
    `static boolean` | `isICUCollatorAvailable()` | Is an ICU collator loaded?
    `static StringCollator` | `makeICUCollator​(java.lang.String uri, Configuration config)` | If available, make a collation using the ICU-J Library

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICULibrary

          public ICULibrary()

  - ### Method Detail

    - #### isICUCollatorAvailable

          public static boolean isICUCollatorAvailable()

      Is an ICU collator loaded?
      Returns:
        true if so

    - #### hasNumberer

          public static boolean hasNumberer()

      Is an ICU numberer loaded?
      Returns:
        true if so

    - #### makeICUCollator

          public static StringCollator makeICUCollator​(java.lang.String uri,
                                                       Configuration config)
                                                throws XPathException

      If available, make a collation using the ICU-J Library
      Parameters:
        `uri` - the collation URI (which will always be a UCA collation URI as defined in XSLT 3.0)
        `config` - the Saxon configuration
      Returns:
        the collation, or null if not available
      Throws:
        `XPathException` - if the URI is malformed in some way

    - #### getLanguageTag

          public static java.lang.String getLanguageTag​(java.util.Locale locale)